using System.Collections.Generic;
using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class LayoutBox : Control
    {
        private int mySpacing;
        private List<string> myPieces;

        [XmlElement("Spacing", IsNullable = false)]
        [Browsable(true), Description("Spacing for the contents.")]
        public int Spacing { get { return mySpacing; } set { mySpacing = value; } }

        [XmlElement("Pieces", IsNullable = false)]
        [Browsable(true), Description("Screen Pieces that belong to this LayoutBox.")]
        public List<string> Pieces { get { return myPieces; } set { myPieces = value; } }

        public LayoutBox() : this(null) { }
        public LayoutBox(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            LayoutBox temp_LayoutBox = obj as LayoutBox;
            if (temp_LayoutBox != null)
            {
                Spacing = temp_LayoutBox.Spacing;
                Pieces = temp_LayoutBox.Pieces;
            }
        }
    }
}
